export type Option = {
    id: string;
    name: string;
};
export interface AutocompleteSelectProps {
    value: string;
    options: Option[];
    onChange: (value: string) => void;
    filteredOptions?: Option[];
    label?: string;
    placeholder?: string;
    id?: string;
    name?: string;
    required?: boolean;
    classNameWrapper?: string;
    classNameLabel?: string;
    classNameInput?: string;
    classNameListOption?: string;
}
declare const AutocompleteSelect: ({ onChange, value, options, label, filteredOptions, placeholder, classNameWrapper, classNameLabel, classNameInput, classNameListOption, }: AutocompleteSelectProps) => import("react/jsx-runtime").JSX.Element;
export default AutocompleteSelect;
